Bug 174829 - devel/deforaos-libsystem patch for respecting PREFIX
Summary: devel/deforaos-libsystem patch for respecting PREFIX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-30 13:10 UTC by olivier
Modified: 2013-01-03 15:50 UTC (History)
0 users

See Also:


Attachments
deforaos-libsystem.0.1.6_1.diff (489 bytes, patch)
2012-12-30 13:10 UTC, olivier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2012-12-30 13:10:00 UTC
	Small patch for respecting PREFIX
Comment 1 Edwin Groothuis freebsd_committer 2012-12-30 13:10:09 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 olivier 2012-12-30 15:16:21 UTC
Can you replace my MAKE_ARGS+= line with this new one:

MAKE_ARGS+=    PREFIX=${PREFIX} CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"

This will permit to support CFLAGS and LDFLAGS.

Thanks,

On Sun, Dec 30, 2012 at 2:10 PM,  <FreeBSD-gnats-submit@freebsd.org> wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/174829'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=174829
>
>>Category:       ports
>>Responsible:    freebsd-ports-bugs
>>Synopsis:       devel/deforaos-libsystem patch for respecting PREFIX
>>Arrival-Date:   Sun Dec 30 13:10:00 UTC 2012
Comment 3 olivier 2012-12-31 08:59:09 UTC
On Sun, Dec 30, 2012 at 4:16 PM, Olivier Cochard-Labb=E9
<olivier@cochard.me> wrote:
> Can you replace my MAKE_ARGS+=3D line with this new one:
>
> MAKE_ARGS+=3D    PREFIX=3D${PREFIX} CFLAGS=3D"${CFLAGS}" LDFLAGS=3D"${LDF=
LAGS}"
>
> This will permit to support CFLAGS and LDFLAGS.

Oops, forgot my last mail: Kept my original patch without adding
CFLAGS and LDFLAGS to MAKE_ARGS, it seems I meet some problem if I add
CFLAGS and LDFLAGS.

sorry for the noise.

Olivier
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2013-01-03 14:52:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 5 dfilter service freebsd_committer 2013-01-03 15:43:44 UTC
Author: rm
Date: Thu Jan  3 15:43:31 2013
New Revision: 309890
URL: http://svnweb.freebsd.org/changeset/ports/309890

Log:
  - make it PREFIX-safe
  - bump PORTREVISION
  
  PR:		174829
  Submitted by:	olivier@cochard.me (maintainer)

Modified:
  head/devel/deforaos-libsystem/Makefile

Modified: head/devel/deforaos-libsystem/Makefile
==============================================================================
--- head/devel/deforaos-libsystem/Makefile	Thu Jan  3 15:41:53 2013	(r309889)
+++ head/devel/deforaos-libsystem/Makefile	Thu Jan  3 15:43:31 2013	(r309890)
@@ -3,6 +3,7 @@
 
 PORTNAME=	libsystem
 PORTVERSION=	0.1.6
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	http://www.defora.org/os/download/download/3527/
 DISTNAME=	libSystem-${PORTVERSION}
@@ -15,6 +16,7 @@ LICENSE=	GPLv3
 
 USE_LDCONFIG=	yes
 USE_PKGCONFIG=	build
+MAKE_ARGS+=	PREFIX=${PREFIX}
 
 post-patch:
 	${REINPLACE_CMD} -e 's|/lib/|/libdata/|g' \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2013-01-03 15:50:24 UTC
State Changed
From-To: open->closed

Committed, thank you!